<div id="body" class="container-fluid">
  <form [formGroup]="form" novalidate (ngSubmit)="save()">
    <div class="form-row">
      <h5>Billing Dispatch Details</h5>
    </div>
    <div class="form-row"><br /></div>
    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Customer H6 ID:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="customerId" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Disposition Code:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="dispositionCode" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Ticket Number:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="ticketNumber" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Ticket Location:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="ticketLocation" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Ticket Category:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="ticketCategoryName" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Ticket Sub Category:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="ticketSubCategoryName" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Action Taken:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="actionTaken" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Clear Date:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control"
            [value]="form.get('closeDate').value | date: 'shortDate'" formControlName="closeDate" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Status:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="statusDescription" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Modified By:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control" formControlName="modifiedBy" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Modified Date:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <input type="text" readonly="true" class="form-control"
            [value]="form.get('modifiedDate').value | date: 'short'" formControlName="modifiedDate" />
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4">Accept / Reject:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <dx-select-box displayExpr="Name" valueExpr="ID" [items]="[
              { ID: 'A', Name: 'Accept' },
              { ID: 'R', Name: 'Reject' }
            ]" 
            formControlName="acceptRejectCode" 
            class="form-control"
            (onValueChanged)="changeCommentValidation($event)"></dx-select-box>
              
        </div>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group row col-18">
        <label class="col-form-label col-24 col-lg-4" #commentslabel [ngClass]="commentReq ? 'text-danger' : 'col-form-label'">Comments:</label>
        <div class="col-24 col-lg-20 pl-0 pl-lg-3">
          <textarea type="text" rows="5" class="form-control" formControlName="comment"></textarea>
          <div *ngIf="form.invalid && (form?.dirty || form?.touched)">
            <span *ngIf="comment?.errors.required" class="form-text text-danger">Comment is required</span>
          </div>
        </div>
      </div>
    </div>

    <div class="form-row text-center col-18" *ngIf="this.historyModeOn || !this.canSubmit || this.model?.statusId != null">
        <div class="form-group col-24 col-md-12 col-lg-8 offset-md-12 offset-lg-8">
            <button type="button" class="btn btn-secondary btn-block" (click)="cancel()">
              <span>{{(this.model?.statusId == null && this.canSubmit && !this.historyModeOn) ? 'Cancel' : 'Return Home'}}</span>
            </button>
        </div>
    </div>

    <div class="form-row text-center col-18" *ngIf="this.model?.statusId == null && this.canSubmit && !this.historyModeOn">
      <div class="form-group col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
        <button type="button" class="btn btn-secondary btn-block" (click)="cancel()">
          Cancel
        </button>
      </div>

      <div class="form-group col-12 col-md-6 col-lg-4">
        <div >
          <button type="button" class="btn btn-primary btn-block" data-toggle="modal" data-target="#confirmModal"
            [disabled]="form.invalid">
            Save
          </button>
        </div>
      </div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel"
      aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="confirmModalLabel">
              Are you sure?
            </h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            Do you want to {{ this.getAcceptReject() }} this record?
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">
              Close
            </button>
            <button type="button" class="btn btn-primary" (click)="save()" data-dismiss="modal">
              Save changes
            </button>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
